OGRE-Next: Ogre::D3D11Device Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::D3D11Device Class Reference

`#include <OgreD3D11Device.h>`

## Public Types
enum | eExceptionsErrorLevel { D3D_NO_EXCEPTION , D3D_CORRUPTION , D3D_ERROR , D3D_WARNING , D3D_INFO }

## Public Member Functions
| D3D11Device ()
| ~D3D11Device ()
bool | _getErrorsFromQueue () const
void | clearStoredErrorMessages () const
ID3D11DeviceN * | get ()
ID3D11ClassLinkage * | GetClassLinkage ()
LARGE_INTEGER | GetDriverVersion ()
IDXGIFactoryN * | GetDXGIFactory ()
IDXGIFactory2 * | GetDXGIFactory2 ()
String | getErrorDescription (const HRESULT hr=NO_ERROR) const
ID3D11DeviceContextN * | GetImmediateContext ()
ID3D11DeviceContext1 * | GetImmediateContext1 ()
ID3DUserDefinedAnnotation * | GetProfiler ()
bool | IsDeviceLost ()
bool | isError () const
bool | isNull ()
ID3D11DeviceN * | operator-> () const
void | ReleaseAll ()
void | throwIfFailed (const char *desc, const char *src)
void | throwIfFailed (HRESULT hr, const char *desc, const char *src)
void | TransferOwnership (ComPtr< ID3D11Device > &device)

## Static Public Member Functions
static eExceptionsErrorLevel | getExceptionsErrorLevel ()
static D3D_DRIVER_TYPE | parseDriverType (const Ogre::String &value, D3D_DRIVER_TYPE fallback=D3D_DRIVER_TYPE_HARDWARE)
static D3D_FEATURE_LEVEL | parseFeatureLevel (const Ogre::String &value, D3D_FEATURE_LEVEL fallback)
static void | setExceptionsErrorLevel (const eExceptionsErrorLevel exceptionsErrorLevel)
static void | setExceptionsErrorLevel (const Ogre::String &exceptionsErrorLevel)

## Static Public Attributes
static eExceptionsErrorLevel | mExceptionsErrorLevel

## Member Enumeration Documentation

## ◆ eExceptionsErrorLevel

enum Ogre::D3D11Device::eExceptionsErrorLevel

Enumerator
D3D_NO_EXCEPTION |
D3D_CORRUPTION |
D3D_ERROR |
D3D_WARNING |
D3D_INFO |

## Constructor & Destructor Documentation

## ◆ D3D11Device()

Ogre::D3D11Device::D3D11Device | ( |  | ) |

## ◆ ~D3D11Device()

Ogre::D3D11Device::~D3D11Device | ( |  | ) |

## Member Function Documentation

## ◆ _getErrorsFromQueue()

bool Ogre::D3D11Device::_getErrorsFromQueue | ( |  | ) | const

Referenced by isError().

## ◆ clearStoredErrorMessages()

void Ogre::D3D11Device::clearStoredErrorMessages | ( |  | ) | const

Referenced by operator->().

## ◆ get()

ID3D11DeviceN * Ogre::D3D11Device::get | ( |  | ) |
| inline

## ◆ GetClassLinkage()

ID3D11ClassLinkage * Ogre::D3D11Device::GetClassLinkage | ( |  | ) |
| inline

## ◆ GetDriverVersion()

LARGE_INTEGER Ogre::D3D11Device::GetDriverVersion | ( |  | ) |
| inline

## ◆ GetDXGIFactory()

IDXGIFactoryN * Ogre::D3D11Device::GetDXGIFactory | ( |  | ) |
| inline

## ◆ GetDXGIFactory2()

IDXGIFactory2 * Ogre::D3D11Device::GetDXGIFactory2 | ( |  | ) |
| inline

## ◆ getErrorDescription()

String Ogre::D3D11Device::getErrorDescription | ( | const HRESULT | hr = NO_ERROR | ) | const

## ◆ getExceptionsErrorLevel()

eExceptionsErrorLevel Ogre::D3D11Device::getExceptionsErrorLevel | ( |  | ) |
| static

## ◆ GetImmediateContext()

ID3D11DeviceContextN * Ogre::D3D11Device::GetImmediateContext | ( |  | ) |
| inline

## ◆ GetImmediateContext1()

ID3D11DeviceContext1 * Ogre::D3D11Device::GetImmediateContext1 | ( |  | ) |
| inline

## ◆ GetProfiler()

ID3DUserDefinedAnnotation * Ogre::D3D11Device::GetProfiler | ( |  | ) |
| inline

## ◆ IsDeviceLost()

bool Ogre::D3D11Device::IsDeviceLost | ( |  | ) |

## ◆ isError()

bool Ogre::D3D11Device::isError | ( |  | ) | const
| inline

References _getErrorsFromQueue(), D3D_NO_EXCEPTION, and mExceptionsErrorLevel.

## ◆ isNull()

bool Ogre::D3D11Device::isNull | ( |  | ) |
| inline

## ◆ operator->()

ID3D11DeviceN * Ogre::D3D11Device::operator-> | ( |  | ) | const
| inline

References clearStoredErrorMessages(), D3D_NO_EXCEPTION, and mExceptionsErrorLevel.

## ◆ parseDriverType()

D3D_DRIVER_TYPE Ogre::D3D11Device::parseDriverType | ( | const Ogre::String & | value,
|  | D3D_DRIVER_TYPE | fallback = D3D_DRIVER_TYPE_HARDWARE )
| static

## ◆ parseFeatureLevel()

D3D_FEATURE_LEVEL Ogre::D3D11Device::parseFeatureLevel | ( | const Ogre::String & | value,
|  | D3D_FEATURE_LEVEL | fallback )
| static

## ◆ ReleaseAll()

void Ogre::D3D11Device::ReleaseAll | ( |  | ) |

## ◆ setExceptionsErrorLevel() [1/2]

void Ogre::D3D11Device::setExceptionsErrorLevel | ( | const eExceptionsErrorLevel | exceptionsErrorLevel | ) |
| static

## ◆ setExceptionsErrorLevel() [2/2]

void Ogre::D3D11Device::setExceptionsErrorLevel | ( | const Ogre::String & | exceptionsErrorLevel | ) |
| static

## ◆ throwIfFailed() [1/2]

void Ogre::D3D11Device::throwIfFailed | ( | const char * | desc,
|  | const char * | src )
| inline

References throwIfFailed().

Referenced by throwIfFailed().

## ◆ throwIfFailed() [2/2]

void Ogre::D3D11Device::throwIfFailed | ( | HRESULT | hr,
|  | const char * | desc,
|  | const char * | src )

## ◆ TransferOwnership()

void Ogre::D3D11Device::TransferOwnership | ( | ComPtr< ID3D11Device > & | device | ) |

## Member Data Documentation

## ◆ mExceptionsErrorLevel

eExceptionsErrorLevel Ogre::D3D11Device::mExceptionsErrorLevel
| static

Referenced by isError(), and operator->().

The documentation for this class was generated from the following file:

- OgreD3D11Device.h